---
title: RTCIceCandidatePairStats.transportId
slug: Web/API/RTCIceCandidatePairStats/transportId
tags:
  - API
  - ICE
  - Networking
  - Property
  - RTCIceCandidatePairStats
  - RTCIceTransport
  - Reference
  - Statistics
  - Stats
  - Transport
  - WebRTC
  - WebRTC API
  - id
  - transportID
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The <strong><code>transportId</code></strong> property uniquely identifies the {{domxref("RTCIceTransport")}} that was inspected to obtain the transport-related statistics contained in the {{domxref("RTCIceCandidatePairStats")}} object.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>transportId</em> = <em>rtcIceCandidatePairStats</em>.transportId;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} which uniquely identifies the <code>RTCIceTransport</code> object from which the transport-related data was obtained for the statistics contained in this {{domxref("RTCIceCandidatePairStats")}} object.</p>

<p>The transport-related statistics come from the {{domxref("RTCTransportStats")}} dictionary's properties.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-transportid', 'RTCIceCandidatePairStats.transportId') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.transportId")}}</p>
